Bug 1120539 - Form Designer Attachment Support Not Working
Summary: Form Designer Attachment Support Not Working
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Form Modeler
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: DR4
: 6.1.0
Assignee: Pere Fernàndez
QA Contact: Andy Taylor
Dawn Eisner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 06:36 UTC by Vikram Goyal
Modified: 2018-03-31 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Vikram Goyal 2014-07-17 06:36:46 UTC
As per the comments here [1], attachment support for Form Designer is now functional. Yet, clicking on the Document icon in Form Modeler results in a blank page and log errors:

<snip>

12:25:31,483 ERROR [org.jbpm.formModeler.service.bb.mvc.controller.ControllerServlet] (http-localhost.localdomain/127.0.0.1:8080-5) Error painting response. User might have seen something ugly in the browser if he is still there.: javax.servlet.ServletException: javax.servlet.jsp.JspTagException: Error rendering UI bean 'org.jbpm.formModeler.components.editor.WysiwygFormEditor'
	at org.apache.jasper.runtime.PageContextImpl.doHandlePageException(PageContextImpl.java:844) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.jasper.runtime.PageContextImpl.handlePageException(PageContextImpl.java:777) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.jsp.formModeler.components.WysiwygFormEdit.show_jsp._jspService(show_jsp.java:66)
	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.jbpm.formModeler.service.bb.mvc.controller.responses.ShowScreenResponse.execute(ShowScreenResponse.java:47) [jbpm-form-modeler-request-dispatcher-6.1.0.CR1-redhat-1.jar:]
	at org.jbpm.formModeler.service.bb.mvc.controller.ControllerServlet.processTheView(ControllerServlet.java:162) [jbpm-form-modeler-request-dispatcher-6.1.0.CR1-redhat-1.jar:]
	at org.jbpm.formModeler.service.bb.mvc.controller.ControllerServlet.service(ControllerServlet.java:129) [jbpm-form-modeler-request-dispatcher-6.1.0.CR1-redhat-1.jar:]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:62) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.jboss.solder.servlet.event.ServletEventBridgeFilter.doFilter(ServletEventBridgeFilter.java:74) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.jbpm.designer.web.filter.impl.PluggableFilter.doFilter(PluggableFilter.java:70) [jbpm-designer-backend-6.1.0.CR1-redhat-1.jar:6.1.0.CR1-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.uberfire.security.server.UberFireSecurityFilter.doFilter(UberFireSecurityFilter.java:283) [uberfire-security-server-0.4.0.CR1-redhat-1.jar:0.4.0.CR1-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:231) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:512) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.4.0.Final-redhat-11.jar:7.4.0.Final-redhat-11]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.4.0.Final-redhat-11.jar:7.4.0.Final-redhat-11]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.4.0.Final-redhat-11.jar:7.4.0.Final-redhat-11]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:414) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:340) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:926) [jbossweb-7.4.2.Final-redhat-1.jar:7.4.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]
Caused by: javax.servlet.ServletException: javax.servlet.jsp.JspException: javax.servlet.ServletException: javax.servlet.jsp.JspException: java.lang.NoClassDefFoundError: org/apache/log4j/Priority

<snip>


[1] https://issues.jboss.org/browse/BPMSPL-37

Comment 2 Pere Fernàndez 2014-07-17 07:54:56 UTC
It seems a missing library error. What war are you using and what application server?

Comment 3 Vikram Goyal 2014-07-17 10:28:36 UTC
Hi Pere,

I am using the DR1 build [1] on EAP 6.3.

[1] http://dev138.mw.lab.eng.bos.redhat.com/candidate/bpms-6.1.0-DR1/jboss-bpms-6.1.0.redhat-0-deployable-eap6.x.zip

Comment 4 Jeremy Lindop 2014-07-24 11:56:51 UTC
Fixed by adding a static dependency on org.apache.log4j in the freemarker module pom.xml in kie-wb-distributions.
https://github.com/droolsjbpm/kie-wb-distributions/commit/d8bc9ee6217afc375a786d65f49abc47fc277a97

This is probably a duplicate of
https://bugzilla.redhat.com/show_bug.cgi?id=1121886
but I haven't marked it as such because I'm not 100% sure.

Comment 5 Pavel Kralik 2014-12-04 16:18:25 UTC
Verified BPMS 6.1.0.ER2


Note You need to log in before you can comment on or make changes to this bug.